Bug 653049 (perl-File-Path-Tiny) - Review Request: perl-File-Path-Tiny - Recursive versions of mkdir() and rmdir() without as much overhead as File::Path
Summary: Review Request: perl-File-Path-Tiny - Recursive versions of mkdir() and rmdir...
Keywords:
Status: CLOSED ERRATA
Alias: perl-File-Path-Tiny
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Marcela Mašláňová
QA Contact: Fedora Extras Quality Assurance
URL: http://search.cpan.org/dist/File-Path...
Whiteboard:
Depends On:
Blocks: 654773
TreeView+ depends on / blocked
 
Reported: 2010-11-14 08:54 UTC by Iain Arnell
Modified: 2010-12-08 16:58 UTC (History)
2 users (show)

Fixed In Version: perl-File-Path-Tiny-0.1-1.el5.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-12-01 21:57:27 UTC
Type: ---
mmaslano: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Iain Arnell 2010-11-14 08:54:51 UTC
Spec URL: http://fedorapeople.org/~iarnell/review/perl-File-Path-Tiny.spec
SRPM URL: http://fedorapeople.org/~iarnell/review/perl-File-Path-Tiny-0.1-1.fc15.src.rpm

Description:
The goal here is simply to provide recursive versions of mkdir() and
rmdir() with as little code and overhead as possible.

Koji build: http://koji.fedoraproject.org/koji/taskinfo?taskID=2599796

*rt-0.10_01

Comment 1 Marcela Mašláňová 2010-11-19 07:35:38 UTC
- rpmlint checks return: OK
perl-File-Path-Tiny.src: W: spelling-error Summary(en_US) mkdir -> mk dir, mk-dir, midiron
perl-File-Path-Tiny.src: W: spelling-error Summary(en_US) rmdir -> rm dir, rm-dir, midiron
perl-File-Path-Tiny.src: W: spelling-error %description -l en_US mkdir -> mk dir, mk-dir, midiron
perl-File-Path-Tiny.src: W: spelling-error %description -l en_US rmdir -> rm dir, rm-dir, midiron
perl-File-Path-Tiny.src: W: no-cleaning-of-buildroot %clean
perl-File-Path-Tiny.src: W: no-buildroot-tag
perl-File-Path-Tiny.src: W: no-%clean-section
^ false warnings

- package meets naming guidelines OK
- package meets packaging guidelines OK
- license (GPL+ or Artistic) OK, text in %doc, matches source
- spec file legible, in am. english OK
- source matches upstream OK
- package compiles on devel (x86) OK
- no missing BR OK
- no unnecessary BR OK
- no locales OK
- not relocatable OK
- owns all directories that it creates OK
- no duplicate files OK
- permissions ok OK
- %clean ok OK
- macro use consistent OK
- code, not content OK
- no need for -docs OK
- nothing in %doc affects runtime OK
- no need for .desktop file  OK

Comment 2 Iain Arnell 2010-11-19 10:07:20 UTC
New Package SCM Request
=======================
Package Name: perl-File-Path-Tiny
Short Description: Recursive versions of mkdir() and rmdir() without as much overhead as File::Path
Owners: iarnell
Branches: f13 f14 el5 el6
InitialCC: perl-sig

Comment 3 Jason Tibbitts 2010-11-22 13:57:30 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2010-11-22 19:02:35 UTC
perl-File-Path-Tiny-0.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/perl-File-Path-Tiny-0.1-1.fc14

Comment 5 Fedora Update System 2010-11-22 19:02:42 UTC
perl-File-Path-Tiny-0.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/perl-File-Path-Tiny-0.1-1.fc13

Comment 6 Fedora Update System 2010-11-23 04:23:38 UTC
perl-File-Path-Tiny-0.1-1.el5.1 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-File-Path-Tiny-0.1-1.el5.1

Comment 7 Fedora Update System 2010-11-23 16:54:02 UTC
perl-File-Path-Tiny-0.1-1.el5.1 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-File-Path-Tiny'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/perl-File-Path-Tiny-0.1-1.el5.1

Comment 8 Fedora Update System 2010-12-01 21:57:22 UTC
perl-File-Path-Tiny-0.1-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2010-12-01 21:59:39 UTC
perl-File-Path-Tiny-0.1-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2010-12-08 16:58:26 UTC
perl-File-Path-Tiny-0.1-1.el5.1 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.